You are here: Home > API Reference > UEM > Device Message > Get device message

Get device message

Required Permission: mdm.global.deviceMessage.get

Retrieves the details for a specific device message

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/device-messages/{deviceMessageId}

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
deviceMessageId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Match pattern: ^[a-fA-F0-9]{24}$
deviceInfo object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
emmDevice admDevice winDevice aosDevice
fingerprint string required
≤ 500 characters
origin string required
agent mdm automation dashboard
event object required
code string required
ENROLLMENT_SUCCESS ENROLLMENT_FAILED ENROLLMENT_UNENROLLED CERTIFICATE_INSTALLED CERTIFICATE_INSTALL_FAILED CERTIFICATE_EXPIRED CERTIFICATE_EXPIRING_SOON CERTIFICATE_REVOKED POLICY_APPLIED POLICY_APPLY_FAILED POLICY_VIOLATION POLICY_REMOVED COMPLIANCE_CHECK_PASSED COMPLIANCE_CHECK_FAILED COMPLIANCE_CHECK_ERROR SECURITY_JAILBREAK_DETECTED SECURITY_ENCRYPTION_DISABLED SECURITY_PASSCODE_MISSING APP_INSTALLED APP_INSTALL_FAILED APP_UNINSTALLED APP_UPDATE_REQUIRED PROFILE_INSTALLED PROFILE_INSTALL_FAILED PROFILE_REMOVED DEVICE_RESTARTED DEVICE_WIPED DEVICE_LOCKED DEVICE_STORAGE_LOW OS_UPDATE_REQUIRED OS_UPDATE_AVAILABLE OS_UNSUPPORTED OS_VERSION_BELOW_MINIMUM UNKNOWN
severity string required
info warning error critical
content string required
occurrence object required
count number required
firstOccurredAt string required
lastOccurredAt string required
expiresAt string required
createdAt string required
updatedAt string required
version number required
{
    "status": true,
    "data": {
        "id": "string",
        "organizationId": "string",
        "deviceInfo": {
            "id": "string",
            "type": "emmDevice"
        },
        "fingerprint": "string",
        "origin": "agent",
        "event": {
            "code": "ENROLLMENT_SUCCESS",
            "severity": "info",
            "content": "string"
        },
        "occurrence": {
            "count": 0,
            "firstOccurredAt": "string",
            "lastOccurredAt": "string"
        },
        "expiresAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "version": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}
Was this page helpful?